#! /opt/bin/dash

title="Grover $1"
xlabel="time"
ylabel="distance from barrier"
labels="set title \"$title\"\nset xlabel \"$xlabel\"\nset ylabel \"$ylabel\""

echo "set term gif\nset output\n $labels\nset key top left\n\
  set style line 1 lc rgb 'blue'\n\
  set style line 2 lc rgb 'red'\n\
  set style line 3 lc rgb 'green'\n\
  plot \
  'tmp.out' using 1:4 with linespoints ls 1 title \"      p\",\
  'tmp.out' using 1:3 with linespoints ls 2 title \"      M\",\
  'tmp.out' using 1:2 with linespoints ls 3 title \"      m\",\
  \n" | gnuplot
